## org.apache.taglibs.standard.tag.rt.sql
Class QueryTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.sql.QueryTagSupport
                  org.apache.taglibs.standard.tag.rt.sql.QueryTag

All Implemented Interfaces:
  Serializable, SQLExecutionTag, BodyTag, IterationTag, JspTag, Tag, TryCatchFinally

    public class QueryTag

extends QueryTagSupport

Subclass for the JSTL library with rtexprvalue support.

Author:
  Hans Bergsten, Justyna Horwat
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.sql.QueryTagSupport
`dataSourceSpecified, maxRows, maxRowsSpecified, rawDataSource, sql, startRow`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`QueryTag()` Constructs a new QueryTag.

Method Summary
`void` `setDataSource(Object dataSource)`
`void` `setMaxRows(int maxRows)` Query result can be limited by specifying the maximum number of rows returned.
`void` `setSql(String sql)` Setter method for the SQL statement to use for the query.
`void` `setStartRow(int startRow)` The index of the first row returned can be specified using startRow.

Methods inherited from class org.apache.taglibs.standard.tag.common.sql.QueryTagSupport
`addSQLParameter, doCatch, doEndTag, doFinally, doStartTag, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### QueryTag

    public QueryTag()

  Constructs a new QueryTag. As with TagSupport, subclasses should not provide other constructors and are expected to call the superclass constructor

Method Detail

### setDataSource

    public void setDataSource(Object dataSource)

### setStartRow

    public void setStartRow(int startRow)

  The index of the first row returned can be specified using startRow.

### setMaxRows

    public void setMaxRows(int maxRows)

  Query result can be limited by specifying the maximum number of rows returned.

### setSql

    public void setSql(String sql)

  Setter method for the SQL statement to use for the query. The statement may contain parameter markers (question marks, ?). If so, the parameter values must be set using nested value elements.

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.